import fs from "fs";

// 创建文件（同步）
export const createFile = ({
  path,
  name,
  con,
}) => {
  fs.writeFileSync(`${path.replace(/\/$/g, "")}/${name}`, con);
};

// 创建文件夹（同步）
export const createDir = (str) => {
  fs.mkdirSync(str);
};

// 修改文件（同步）
export const changeFile = ({ url, con }) => {
  const fd = fs.openSync(url, "r+");

  fs.writeFileSync(fd, con, "utf8");
  fs.closeSync(fd);
};

// 获取文件内容（同步）
export const getFileCon = (url) => {
  return fs.readFileSync(url).toString();
};

// 确认文件是否存在
export const fileExist = (path) => {
  return fs.existsSync(path);
};
